import grovepi
import math
from sensors.lock import grove_lock
from picamera2 import Picamera2, Preview
import time

picam2 = Picamera2()

camera_config = picam2.create_still_configuration()
picam2.configure(camera_config)

picam2.start()
time.sleep(2)

def preview_camera():
    picam2.start_preview(Preview.DRM)

def stop_preview_camera():
    picam2.stop_preview()
    
def take_picture():
    """Takes a picture and saves it to the file system"""
    picam2.capture_file("test.jpg")
    return "test.jpg"
    
def get_picture():
    """Returns the image bytes as base64
    """
    file_path = take_picture()
    with open(file_path, "rb") as f:
        image_bytes = f.read()
    return image_bytes

